Subject: Re: [bug#78401] [PATCH] gnu: mupdf: Update to 1.26.0., [PATCH] gnu: mupdf: Update to 1.26.0., [PATCH] gnu: mupdf: Modify #:make-flags

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 21 May 2025 08:15:32 +0900

Hi,

[...]

> Apologies, indeed I had used guix style since I considered that it’d
> be appropriate. I’ve restricted the patch to now only include the
> necessary changes.

[...]

> * gnu/packages/pdf.scm (mupdf): Update to 1.26.0.
> [inputs]: Add brotli
> [arguments]: Use system’s brotli package
> [arguments]: Enable semantic versioning to avoid symlink issues

The things changed (left side of colon) does not need to be repeated.

[...]

>             libx11
>             libxext
>             mujs
> +           brotli

I've added this input at the top in alphabetical order.

[...]

> -              "USE_SONAME=no"           ;install as libmupdf.so
> +              "USE_SONAME=yes"

I checked the build system and the default is 'yes', so I've dropped
this flag.

> Also find the patch for mupdf-1.24, without which several packages
> break (as suggested by the QA).

Are there several packages depending on mupdf-1.24?  I could find only
sioyek, which builds fine with mupdf 1.26, so I removed that extraneous
variant.  See commit 93e74686ea and the two earlier ones.

Thank you!

-- 
Maxim